Subject: Re: [PATCH 6/7] net: Add vbus_enet driver

From: Gregory Haskins <[email-masked]>
Date: Mon, 03 Aug 2009 16:24:10 -0400

Stephen Hemminger wrote:
> On Mon, 03 Aug 2009 16:10:37 -0400
> Gregory Haskins <[email-masked]> wrote:
> 
>> Stephen Hemminger wrote:
>>> On Mon, 03 Aug 2009 13:18:02 -0400
>>> Gregory Haskins <[email-masked]> wrote:
>>>
>>>> +
>>>> +static const struct net_device_ops vbus_enet_netdev_ops = {
>>>> +	.ndo_open          = vbus_enet_open,
>>>> +	.ndo_stop          = vbus_enet_stop,
>>>> +	.ndo_set_config    = vbus_enet_config,
>>>> +	.ndo_start_xmit    = vbus_enet_tx_start,
>>>> +	.ndo_change_mtu	   = vbus_enet_change_mtu,
>>>> +	.ndo_tx_timeout    = vbus_enet_timeout,
>>>> +};
>>>
>>> Missing 
>>> 	.ndo_set_mac_address = eth_mac_addr,
>>> 	.ndo_validate_addr   = eth_validate_addr,
>>>
>> Ack.
>>
>>> Also, should have change_mtu.
>> note that I do have .ndo_change_mtu.  I assume this is what you are
>> referring to and just missed it.  If there is something else I need
>> there, let me know.
> 
> If you don't have a change_mtu, then MTU is unlimited.

Is "change_mtu" different from .ndo_change_mtu" on the ndo struct?
That's whats confusing me, as I have the .ndo one already.  Is there
something else I need in addition, or should I be ok as is?

> Can the device handle 64K or larger transfers?

Well, its been tested with 64K GSO packets at least.  I think it could
handle arbitrarily large packets as long as they are paged, but I have
never tried this beyond 64k due to the simple L4 limitations of 64k.

Thanks Stephen,
-Greg